[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TPageFlags

Set type used to store TPageFlag enumeration values.

## Declaration

Source position: comctrls.pp line 234

`type TPageFlags = set of (`
`pfAdded,` |  | Handle for the page has been added to the notebook.
`pfAdding,` |  | Handle for the page is being added to the notebook.
`pfRemoving,` |  | Removing the page handle from the notebook.
`pfInserting` |  | Inserting the page handle into the notebook.
`);`

## Description

TPageFlags is the type used to implement the Flags property in TCustomPage.

## See also

TCustomPage.Flags |  | Contains flag values that represent the status or state for the handle in the custom page control.